<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controllerform');

/**
 * Mycourses controller class.
 */
class DoceboControllerMycourses extends JControllerForm {

	function __construct() {
		$this->view_list = 'mycoursess';
		parent::__construct();
	}

	/**
	 * Overwriting the save method of the parent class so we can do some
	 * checks and additional validation before save.
	 *
	 * @param type $data
	 */
	public function save($key = NULL, $urlVar = NULL) {

		$postData = JRequest::getVar('jform', array(), 'post', 'array');

		if (isset($postData['width'])) {

			// Get the width by reference so we can play with it
			$width =& $postData['width'];

			// Remove extra stuff such as 'px' from the entered pixels
			if (stripos($width, 'px') !== FALSE)
				$width = str_ireplace('px', '', $width);

			if (empty($width)) {
				$this->setError(JText::_('COM_DOCEBO_MYCOURSES_COURSEBLOCKEMPTY'));
				$this->setMessage($this->getError(), 'error');

				$this->setRedirect(
					JRoute::_(
						'index.php?option=' . $this->option . '&view=' . $this->view_list
						. $this->getRedirectToListAppend(), FALSE
					)
				);

				return FALSE;
			}

			if ($width > 230 || $width < 170) {
				$this->setError('Couse block width outside limits');
				$this->setMessage($this->getError(), 'error');

				$this->setRedirect(
					JRoute::_(
						'index.php?option=' . $this->option . '&view=' . $this->view_list
						. $this->getRedirectToListAppend(), FALSE
					)
				);

				return FALSE;
			}

		}

		JRequest::setVar('jform', $postData, 'post');


		// Success. Save and redirect
		return parent::save($key, $urlVar);

	}

}